Get list of account types

Retrieves a paginated list of account types with support for filtering, sorting, and field selection.
This endpoint supports the same query parameters as the accounts service account-types endpoint.

Query Params
string

Filter account types by name (partial match).

Example: Savings

string

Filter account types by currency type.

Available values: [fiat, crypto].

Example: fiat

string

Sort results by field. Prefix with '-' for descending order.

Available fields: [id, name, currencyCode, annualInterestRate, period.name].

Example: -name or id

integer

Page number for pagination (default 1).

Example: 2

integer

Number of items per page (default 10).

Example: 20

string

Comma-separated list of fields to include in response.

Available fields: [ID, Name, CurrencyCode, CurrencyType, DepositAnnualInterestRate, CreditAnnualInterestRate, DepositPayoutPeriodID, AutoNumberGeneration, NumberPrefix].

Example: ID,Name,CurrencyCode

string

Include related resources.

Available includes: [depositPayoutPeriod, creditChargePeriod].

Example: depositPayoutPeriod

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json